import { Command, CommandProps } from '@mobicoop/ddd-library';

export class UpdatePasswordCommand extends Command {
  readonly userId: string;
  readonly password: string;

  constructor(props: CommandProps<UpdatePasswordCommand>) {
    super(props);
    this.userId = props.userId;
    this.password = props.password;
  }
}
