import { STRONG_PASSWORD_OPTIONS } from '@modules/authentication/authentication.constants';
import { IsNotEmpty, IsString, IsStrongPassword } from 'class-validator';

export class UpdatePasswordRequestDto {
  @IsString()
  @IsNotEmpty()
  userId: string;

  @IsStrongPassword(STRONG_PASSWORD_OPTIONS)
  @IsNotEmpty()
  password: string;
}
